Panda3D

Loading...
Searching...
No Matches
Classes | Functions | Variables
direct.dist.commands Namespace Reference

## Classes
class | bdist_apps
class | build_apps

## Functions
| _model_to_bam (_build_cmd, srcpath, dstpath)
| _parse_dict (input)
| _parse_list (input)
| _register_python_loaders ()
| egg2bam (_build_cmd, srcpath, dstpath)

## Variables
| basestring = str
| FileNotFoundError = IOError
tuple | macosx_binary_magics
dict | PACKAGE_DATA_DIRS
dict | PACKAGE_LIB_DIRS
tuple | SITE_PY = (3,) else SITE_PY2
str | SITE_PY2
str | SITE_PY3
str | SITE_PY_TKINTER_ADDENDUM

## Detailed Description

    Extends setuptools with the ``build_apps`` and ``bdist_apps`` commands.

    See the :ref:`distribution` section of the programming manual for information
    on how to use these commands.

## Function Documentation

## ◆ _model_to_bam()

_model_to_bam | ( |  | _build_cmd,
|  |  | srcpath,
|  |  | dstpath )
| protected

## ◆ _parse_dict()

_parse_dict | ( |  | input | ) |
| protected

## ◆ _parse_list()

_parse_list | ( |  | input | ) |
| protected

## ◆ _register_python_loaders()

_register_python_loaders | ( |  | ) |
| protected

## ◆ egg2bam()

egg2bam | ( |  | _build_cmd,
|  |  | srcpath,
|  |  | dstpath )

## Variable Documentation

## ◆ basestring

basestring = str

## ◆ FileNotFoundError

FileNotFoundError = IOError

## ◆ macosx_binary_magics

tuple macosx_binary_magics

Initial value:
1= (
2 b'\xFE\xED\xFA\xCE', b'\xCE\xFA\xED\xFE',
3 b'\xFE\xED\xFA\xCF', b'\xCF\xFA\xED\xFE',
4 b'\xCA\xFE\xBA\xBE', b'\xBE\xBA\xFE\xCA',
5 b'\xCA\xFE\xBA\xBF', b'\xBF\xBA\xFE\xCA')

## ◆ PACKAGE_DATA_DIRS

dict PACKAGE_DATA_DIRS

Initial value:
1= {
2 'matplotlib': [('matplotlib/mpl-data/*', 'mpl-data', {})],
3 'jsonschema': [('jsonschema/schemas/*', 'schemas', {})],
4 'cefpython3': [
5 ('cefpython3/*.pak', '', {}),
6 ('cefpython3/*.dat', '', {}),
7 ('cefpython3/*.bin', '', {}),
8 ('cefpython3/*.dll', '', {}),
9 ('cefpython3/libcef.so', '', {}),
10 ('cefpython3/LICENSE.txt', '', {}),
11 ('cefpython3/License', '', {}),
12 ('cefpython3/subprocess*', '', {'PKG_DATA_MAKE_EXECUTABLE'}),
13 ('cefpython3/locals/*', 'locals', {}),
14 ('cefpython3/Chromium Embedded Framework.framework/Resources', 'Chromium Embedded Framework.framework/Resources', {}),
15 ('cefpython3/Chromium Embedded Framework.framework/Chromium Embedded Framework', '', {'PKG_DATA_MAKE_EXECUTABLE'}),
16 ],
17 'pytz': [('pytz/zoneinfo/*', 'zoneinfo', ())],
18 'certifi': [('certifi/cacert.pem', '', {})],
19 '_tkinter_ext': [('_tkinter_ext/tcl/**', 'tcl', {})],
20}

## ◆ PACKAGE_LIB_DIRS

dict PACKAGE_LIB_DIRS

Initial value:
1= {
2 'scipy': [('scipy/extra-dll', None)],
3 'PyQt5': [('PyQt5/Qt5/bin', 'PyQt5_Qt5')],
4}

## ◆ SITE_PY

tuple SITE_PY = (3,) else SITE_PY2

## ◆ SITE_PY2

str SITE_PY2

Initial value:
1= u"""
2 import sys
3
4 sys.frozen = True
5
6# Override __import__ to set __file__ for frozen modules.
7 prev_import = __import__
8 def __import__(*args, **kwargs):
9 mod = prev_import(*args, **kwargs)
10 if mod:
11 mod.__file__ = sys.executable
12 return mod
13
14# Add our custom __import__ version to the global scope, as well as a builtin
15# definition for __file__ so that it is available in the module itself.
16 import __builtin__
17__builtin__.__import__ = __import__
18__builtin__.__file__ = sys.executable
19 del __builtin__
20"""

## ◆ SITE_PY3

str SITE_PY3

## ◆ SITE_PY_TKINTER_ADDENDUM

str SITE_PY_TKINTER_ADDENDUM

Initial value:
1= """
2# Set the TCL_LIBRARY directory to the location of the Tcl/Tk/Tix files.
3 import os
4 tcl_dir = os.path.join(os.path.dirname(sys.executable), 'tcl')
5 if os.path.isdir(tcl_dir):
6 for dir in os.listdir(tcl_dir):
7 sub_dir = os.path.join(tcl_dir, dir)
8 if os.path.isdir(sub_dir):
9 if dir.startswith('tcl') and os.path.isfile(os.path.join(sub_dir, 'init.tcl')):
10 os.environ['TCL_LIBRARY'] = sub_dir
11 if dir.startswith('tk'):
12 os.environ['TK_LIBRARY'] = sub_dir
13 if dir.startswith('tix'):
14 os.environ['TIX_LIBRARY'] = sub_dir
15 del os
16"""